DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] devtools: test different build types
@ 2021-04-12 21:53 Thomas Monjalon
  2021-05-21 15:03 ` David Marchand
                   ` (2 more replies)
  0 siblings, 3 replies; 19+ messages in thread
From: Thomas Monjalon @ 2021-04-12 21:53 UTC (permalink / raw)
  To: dev; +Cc: bruce.richardson, david.marchand

All builds were of type debugoptimized.
It is kept only for builds having an ABI check.
Others will have the default build type (release),
except if specified differently as in the x86 generic build
which will be a test of the non-optimized debug build type.
Some static builds will test the minsize build type.

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 devtools/test-meson-builds.sh | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index daf817ac3e..37f258bd48 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -92,13 +92,16 @@ load_env () # <target compiler>
 	command -v $targetcc >/dev/null 2>&1 || return 1
 }
 
-config () # <dir> <builddir> <meson options>
+config () # <dir> <builddir> <ABI check> <meson options>
 {
 	dir=$1
 	shift
 	builddir=$1
 	shift
+	abicheck=$1
+	shift
 	if [ -f "$builddir/build.ninja" ] ; then
+		[ $abicheck = ABI ] || return 0
 		# for existing environments, switch to debugoptimized if unset
 		# so that ABI checks can run
 		if ! $MESON configure $builddir |
@@ -114,7 +117,9 @@ config () # <dir> <builddir> <meson options>
 	else
 		options="$options -Dexamples=l3fwd" # save disk space
 	fi
-	options="$options --buildtype=debugoptimized"
+	if [ $abicheck = ABI ] ; then
+		options="$options --buildtype=debugoptimized"
+	fi
 	for option in $DPDK_MESON_OPTIONS ; do
 		options="$options -D$option"
 	done
@@ -165,7 +170,7 @@ build () # <directory> <target cc | cross file> <ABI check> [meson options]
 		cross=
 	fi
 	load_env $targetcc || return 0
-	config $srcdir $builds_dir/$targetdir $cross --werror $*
+	config $srcdir $builds_dir/$targetdir $abicheck $cross --werror $*
 	compile $builds_dir/$targetdir
 	if [ -n "$DPDK_ABI_REF_VERSION" -a "$abicheck" = ABI ] ; then
 		abirefdir=${DPDK_ABI_REF_DIR:-reference}/$DPDK_ABI_REF_VERSION
@@ -179,7 +184,7 @@ build () # <directory> <target cc | cross file> <ABI check> [meson options]
 			fi
 
 			rm -rf $abirefdir/build
-			config $abirefdir/src $abirefdir/build $cross \
+			config $abirefdir/src $abirefdir/build $abicheck $cross \
 				-Dexamples= $*
 			compile $abirefdir/build
 			install_target $abirefdir/build $abirefdir/$targetdir
@@ -213,9 +218,10 @@ for c in gcc clang ; do
 			abicheck=ABI
 		else
 			abicheck=skipABI # save time and disk space
+			buildtype='--buildtype=minsize'
 		fi
 		export CC="$CCACHE $c"
-		build build-$c-$s $c $abicheck --default-library=$s
+		build build-$c-$s $c $abicheck $buildtype --default-library=$s
 		unset CC
 	done
 done
@@ -227,7 +233,7 @@ generic_machine='nehalem'
 if ! check_cc_flags "-march=$generic_machine" ; then
 	generic_machine='corei7'
 fi
-build build-x86-generic cc skipABI -Dcheck_includes=true \
+build build-x86-generic cc skipABI --buildtype=debug -Dcheck_includes=true \
 	-Dlibdir=lib -Dmachine=$generic_machine $use_shared
 
 # 32-bit with default compiler
-- 
2.31.1


^ permalink raw reply	[flat|nested] 19+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools: test different build types
  2021-04-12 21:53 [dpdk-dev] [PATCH] devtools: test different build types Thomas Monjalon
@ 2021-05-21 15:03 ` David Marchand
  2021-07-23 20:26   ` Andrew Rybchenko
  2021-08-02 22:45 ` [dpdk-dev] [PATCH v2] " Thomas Monjalon
  2021-08-08 12:51 ` [dpdk-dev] [PATCH v3 0/5] more build tests Thomas Monjalon
  2 siblings, 1 reply; 19+ messages in thread
From: David Marchand @ 2021-05-21 15:03 UTC (permalink / raw)
  To: Thomas Monjalon; +Cc: dev, Bruce Richardson

On Mon, Apr 12, 2021 at 11:54 PM Thomas Monjalon <thomas@monjalon.net> wrote:
> @@ -213,9 +218,10 @@ for c in gcc clang ; do
>                         abicheck=ABI

init of buildtype var is missing here.

Rest lgtm.

>                 else
>                         abicheck=skipABI # save time and disk space
> +                       buildtype='--buildtype=minsize'
>                 fi
>                 export CC="$CCACHE $c"
> -               build build-$c-$s $c $abicheck --default-library=$s
> +               build build-$c-$s $c $abicheck $buildtype --default-library=$s
>                 unset CC
>         done
>  done


-- 
David Marchand


^ permalink raw reply	[flat|nested] 19+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools: test different build types
  2021-05-21 15:03 ` David Marchand
@ 2021-07-23 20:26   ` Andrew Rybchenko
  0 siblings, 0 replies; 19+ messages in thread
From: Andrew Rybchenko @ 2021-07-23 20:26 UTC (permalink / raw)
  To: David Marchand, Thomas Monjalon; +Cc: dev, Bruce Richardson

On 5/21/21 6:03 PM, David Marchand wrote:
> On Mon, Apr 12, 2021 at 11:54 PM Thomas Monjalon <thomas@monjalon.net> wrote:
>> @@ -213,9 +218,10 @@ for c in gcc clang ; do
>>                          abicheck=ABI
> 
> init of buildtype var is missing here.

+1

> Rest lgtm.
> 
>>                  else
>>                          abicheck=skipABI # save time and disk space
>> +                       buildtype='--buildtype=minsize'
>>                  fi
>>                  export CC="$CCACHE $c"
>> -               build build-$c-$s $c $abicheck --default-library=$s
>> +               build build-$c-$s $c $abicheck $buildtype --default-library=$s
>>                  unset CC
>>          done
>>   done
> 
> 

with review notes applied:

Acked-by: Andrew Rybchenko <andrew.rybchenko@oktetlabs.ru>

^ permalink raw reply	[flat|nested] 19+ messages in thread

* [dpdk-dev] [PATCH v2] devtools: test different build types
  2021-04-12 21:53 [dpdk-dev] [PATCH] devtools: test different build types Thomas Monjalon
  2021-05-21 15:03 ` David Marchand
@ 2021-08-02 22:45 ` Thomas Monjalon
  2021-08-08 12:51 ` [dpdk-dev] [PATCH v3 0/5] more build tests Thomas Monjalon
  2 siblings, 0 replies; 19+ messages in thread
From: Thomas Monjalon @ 2021-08-02 22:45 UTC (permalink / raw)
  To: dev; +Cc: Andrew Rybchenko, Bruce Richardson

All builds were of type debugoptimized.
It is kept only for builds having an ABI check.
Others will have the default build type (release),
except if specified differently as in the x86 generic build
which will be a test of the non-optimized debug build type.
Some static builds will test the minsize build type.

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
Acked-by: Andrew Rybchenko <andrew.rybchenko@oktetlabs.ru>
---
v2: fix init of var buildtype
---
 devtools/test-meson-builds.sh | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index 9ec8e2bc7e..7bd305a669 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -92,13 +92,16 @@ load_env () # <target compiler>
 	command -v $targetcc >/dev/null 2>&1 || return 1
 }
 
-config () # <dir> <builddir> <meson options>
+config () # <dir> <builddir> <ABI check> <meson options>
 {
 	dir=$1
 	shift
 	builddir=$1
 	shift
+	abicheck=$1
+	shift
 	if [ -f "$builddir/build.ninja" ] ; then
+		[ $abicheck = ABI ] || return 0
 		# for existing environments, switch to debugoptimized if unset
 		# so that ABI checks can run
 		if ! $MESON configure $builddir |
@@ -114,7 +117,9 @@ config () # <dir> <builddir> <meson options>
 	else
 		options="$options -Dexamples=l3fwd" # save disk space
 	fi
-	options="$options --buildtype=debugoptimized"
+	if [ $abicheck = ABI ] ; then
+		options="$options --buildtype=debugoptimized"
+	fi
 	for option in $DPDK_MESON_OPTIONS ; do
 		options="$options -D$option"
 	done
@@ -165,7 +170,7 @@ build () # <directory> <target cc | cross file> <ABI check> [meson options]
 		cross=
 	fi
 	load_env $targetcc || return 0
-	config $srcdir $builds_dir/$targetdir $cross --werror $*
+	config $srcdir $builds_dir/$targetdir $abicheck $cross --werror $*
 	compile $builds_dir/$targetdir
 	if [ -n "$DPDK_ABI_REF_VERSION" -a "$abicheck" = ABI ] ; then
 		abirefdir=${DPDK_ABI_REF_DIR:-reference}/$DPDK_ABI_REF_VERSION
@@ -179,7 +184,7 @@ build () # <directory> <target cc | cross file> <ABI check> [meson options]
 			fi
 
 			rm -rf $abirefdir/build
-			config $abirefdir/src $abirefdir/build $cross \
+			config $abirefdir/src $abirefdir/build $abicheck $cross \
 				-Dexamples= $*
 			compile $abirefdir/build
 			install_target $abirefdir/build $abirefdir/$targetdir
@@ -211,11 +216,13 @@ for c in gcc clang ; do
 	for s in static shared ; do
 		if [ $s = shared ] ; then
 			abicheck=ABI
+			buildtype=
 		else
 			abicheck=skipABI # save time and disk space
+			buildtype='--buildtype=minsize'
 		fi
 		export CC="$CCACHE $c"
-		build build-$c-$s $c $abicheck --default-library=$s
+		build build-$c-$s $c $abicheck $buildtype --default-library=$s
 		unset CC
 	done
 done
@@ -227,7 +234,7 @@ generic_isa='nehalem'
 if ! check_cc_flags "-march=$generic_isa" ; then
 	generic_isa='corei7'
 fi
-build build-x86-generic cc skipABI -Dcheck_includes=true \
+build build-x86-generic cc skipABI --buildtype=debug -Dcheck_includes=true \
 	-Dlibdir=lib -Dcpu_instruction_set=$generic_isa $use_shared
 
 # 32-bit with default compiler
-- 
2.31.1


^ permalink raw reply	[flat|nested] 19+ messages in thread

* [dpdk-dev] [PATCH v3 0/5] more build tests
  2021-04-12 21:53 [dpdk-dev] [PATCH] devtools: test different build types Thomas Monjalon
  2021-05-21 15:03 ` David Marchand
  2021-08-02 22:45 ` [dpdk-dev] [PATCH v2] " Thomas Monjalon
@ 2021-08-08 12:51 ` Thomas Monjalon
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 1/5] net/qede: fix minsize build Thomas Monjalon
                     ` (6 more replies)
  2 siblings, 7 replies; 19+ messages in thread
From: Thomas Monjalon @ 2021-08-08 12:51 UTC (permalink / raw)
  To: dev; +Cc: bruce.richardson, david.marchand

While testing more build types, some errors occur.

v3: fix minsize build with GCC
v2: fix init of var buildtype

Thomas Monjalon (5):
  net/qede: fix minsize build
  regex/mlx5: fix minsize build
  vdpa/mlx5: fix minsize build
  test/crypto: fix minsize build
  devtools: test different build types

 app/test/test_cryptodev_blockcipher.c    |  2 +-
 devtools/test-meson-builds.sh            | 19 +++++++++++++------
 drivers/net/qede/qede_rxtx.c             |  3 ++-
 drivers/regex/mlx5/mlx5_regex_fastpath.c |  3 ++-
 drivers/vdpa/mlx5/mlx5_vdpa_mem.c        |  4 ++--
 5 files changed, 20 insertions(+), 11 deletions(-)

-- 
2.31.1


^ permalink raw reply	[flat|nested] 19+ messages in thread

* [dpdk-dev] [PATCH v3 1/5] net/qede: fix minsize build
  2021-08-08 12:51 ` [dpdk-dev] [PATCH v3 0/5] more build tests Thomas Monjalon
@ 2021-08-08 12:51   ` Thomas Monjalon
  2021-08-09  5:15     ` [dpdk-dev] [EXT] " Devendra Singh Rawat
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 2/5] regex/mlx5: " Thomas Monjalon
                     ` (5 subsequent siblings)
  6 siblings, 1 reply; 19+ messages in thread
From: Thomas Monjalon @ 2021-08-08 12:51 UTC (permalink / raw)
  To: dev; +Cc: bruce.richardson, david.marchand, Rasesh Mody, Devendra Singh Rawat

Error occurs when configuring meson with --buildtype=minsize
with GCC 11.1.0:

In function ‘__internal_ram_wr_relaxed’,
    inlined from ‘internal_ram_wr’ at ecore_int_api.h:166:2,
    inlined from ‘qede_update_rx_prod.constprop’ at qede_rxtx.c:736:2:
drivers/net/qede/base/bcm_osal.h:136:9: error:
‘rx_prods’ is used uninitialized [-Werror=uninitialized]
|         rte_write32_relaxed((_val), (_reg_addr))
|         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ecore_int_api.h:151:17: note: in expansion of macro ‘DIRECT_REG_WR_RELAXED’
|                 DIRECT_REG_WR_RELAXED(p_hwfn, &((u32 OSAL_IOMEM *)addr)[i],
|                 ^~~~~~~~~~~~~~~~~~~~~
drivers/net/qede/qede_rxtx.c: In function ‘qede_update_rx_prod.constprop’:
drivers/net/qede/qede_rxtx.c:724:33: note: ‘rx_prods’ declared here
|         struct eth_rx_prod_data rx_prods = { 0 };
|                                 ^~~~~~~~

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 drivers/net/qede/qede_rxtx.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/drivers/net/qede/qede_rxtx.c b/drivers/net/qede/qede_rxtx.c
index 298f4e3e42..35cde561ba 100644
--- a/drivers/net/qede/qede_rxtx.c
+++ b/drivers/net/qede/qede_rxtx.c
@@ -721,9 +721,10 @@ qede_update_rx_prod(__rte_unused struct qede_dev *edev,
 {
 	uint16_t bd_prod = ecore_chain_get_prod_idx(&rxq->rx_bd_ring);
 	uint16_t cqe_prod = ecore_chain_get_prod_idx(&rxq->rx_comp_ring);
-	struct eth_rx_prod_data rx_prods = { 0 };
+	struct eth_rx_prod_data rx_prods;
 
 	/* Update producers */
+	memset(&rx_prods, 0, sizeof(rx_prods));
 	rx_prods.bd_prod = rte_cpu_to_le_16(bd_prod);
 	rx_prods.cqe_prod = rte_cpu_to_le_16(cqe_prod);
 
-- 
2.31.1


^ permalink raw reply	[flat|nested] 19+ messages in thread

* [dpdk-dev] [PATCH v3 2/5] regex/mlx5: fix minsize build
  2021-08-08 12:51 ` [dpdk-dev] [PATCH v3 0/5] more build tests Thomas Monjalon
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 1/5] net/qede: fix minsize build Thomas Monjalon
@ 2021-08-08 12:51   ` Thomas Monjalon
  2021-08-11  8:48     ` Ruifeng Wang
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 3/5] vdpa/mlx5: " Thomas Monjalon
                     ` (4 subsequent siblings)
  6 siblings, 1 reply; 19+ messages in thread
From: Thomas Monjalon @ 2021-08-08 12:51 UTC (permalink / raw)
  To: dev; +Cc: bruce.richardson, david.marchand, Ori Kam

Error occurs when configuring meson with --buildtype=minsize
with GCC 11.1.0:

drivers/regex/mlx5/mlx5_regex_fastpath.c:398:17: error:
‘len’ may be used uninitialized in this function [-Werror=maybe-uninitialized]
|                 complete_umr_wqe(qp, sq, &qp->jobs[mkey_job_id], sq->pi,
|                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
|                                  klm_num, len);
|                                  ~~~~~~~~~~~~~
drivers/regex/mlx5/mlx5_regex_fastpath.c:315:31: note: ‘len’ was declared here
|         uint32_t klm_num = 0, len;
|                               ^~~

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 drivers/regex/mlx5/mlx5_regex_fastpath.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/drivers/regex/mlx5/mlx5_regex_fastpath.c b/drivers/regex/mlx5/mlx5_regex_fastpath.c
index 786718af53..c79445ce7d 100644
--- a/drivers/regex/mlx5/mlx5_regex_fastpath.c
+++ b/drivers/regex/mlx5/mlx5_regex_fastpath.c
@@ -312,7 +312,8 @@ prep_regex_umr_wqe_set(struct mlx5_regex_priv *priv, struct mlx5_regex_qp *qp,
 	struct mlx5_regex_job *job = NULL;
 	size_t sqid = sq->sqn, mkey_job_id = 0;
 	size_t left_ops = nb_ops;
-	uint32_t klm_num = 0, len;
+	uint32_t klm_num = 0;
+	uint32_t len = 0;
 	struct mlx5_klm *mkey_klm = NULL;
 	struct mlx5_klm klm;
 
-- 
2.31.1


^ permalink raw reply	[flat|nested] 19+ messages in thread

* [dpdk-dev] [PATCH v3 3/5] vdpa/mlx5: fix minsize build
  2021-08-08 12:51 ` [dpdk-dev] [PATCH v3 0/5] more build tests Thomas Monjalon
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 1/5] net/qede: fix minsize build Thomas Monjalon
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 2/5] regex/mlx5: " Thomas Monjalon
@ 2021-08-08 12:51   ` Thomas Monjalon
  2021-08-09  6:43     ` Matan Azrad
  2021-08-11  8:48     ` Ruifeng Wang
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 4/5] test/crypto: " Thomas Monjalon
                     ` (3 subsequent siblings)
  6 siblings, 2 replies; 19+ messages in thread
From: Thomas Monjalon @ 2021-08-08 12:51 UTC (permalink / raw)
  To: dev; +Cc: bruce.richardson, david.marchand, Matan Azrad, Viacheslav Ovsiienko

Error occurs when configuring meson with --buildtype=minsize
with GCC 11.1.0:

drivers/vdpa/mlx5/mlx5_vdpa_mem.c: In function ‘mlx5_vdpa_mem_register’:
drivers/vdpa/mlx5/mlx5_vdpa_mem.c:183:24: error:
initialization of ‘uint64_t’ {aka ‘long unsigned int’} from ‘void *’
makes integer from pointer without a cast [-Werror=int-conversion]
|         uint64_t gcd = NULL;
|                        ^~~~
drivers/vdpa/mlx5/mlx5_vdpa_mem.c:244:75: error:
‘mode’ may be used uninitialized in this function [-Werror=maybe-uninitialized]
|                         klm_size = mode == MLX5_MKC_ACCESS_MODE_KLM ?
|                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
|                               KLM_SIZE_MAX_ALIGN(empty_region_sz) : gcd;
|                               ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 drivers/vdpa/mlx5/mlx5_vdpa_mem.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/drivers/vdpa/mlx5/mlx5_vdpa_mem.c b/drivers/vdpa/mlx5/mlx5_vdpa_mem.c
index a13bde5a0b..59ce4e891c 100644
--- a/drivers/vdpa/mlx5/mlx5_vdpa_mem.c
+++ b/drivers/vdpa/mlx5/mlx5_vdpa_mem.c
@@ -177,10 +177,10 @@ mlx5_vdpa_mem_register(struct mlx5_vdpa_priv *priv)
 	struct mlx5_devx_mkey_attr mkey_attr;
 	struct mlx5_vdpa_query_mr *entry = NULL;
 	struct rte_vhost_mem_region *reg = NULL;
-	uint8_t mode;
+	uint8_t mode = 0;
 	uint32_t entries_num = 0;
 	uint32_t i;
-	uint64_t gcd;
+	uint64_t gcd = 0;
 	uint64_t klm_size;
 	uint64_t mem_size;
 	uint64_t k;
-- 
2.31.1


^ permalink raw reply	[flat|nested] 19+ messages in thread

* [dpdk-dev] [PATCH v3 4/5] test/crypto: fix minsize build
  2021-08-08 12:51 ` [dpdk-dev] [PATCH v3 0/5] more build tests Thomas Monjalon
                     ` (2 preceding siblings ...)
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 3/5] vdpa/mlx5: " Thomas Monjalon
@ 2021-08-08 12:51   ` Thomas Monjalon
  2021-08-11  8:48     ` Ruifeng Wang
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 5/5] devtools: test different build types Thomas Monjalon
                     ` (2 subsequent siblings)
  6 siblings, 1 reply; 19+ messages in thread
From: Thomas Monjalon @ 2021-08-08 12:51 UTC (permalink / raw)
  To: dev; +Cc: bruce.richardson, david.marchand, Akhil Goyal, Declan Doherty

Error occurs when configuring meson with --buildtype=minsize
with GCC 11.1.0:

app/test/test_cryptodev_blockcipher.c:1133:45: error:
‘blk_tcs’ may be used uninitialized in this function [-Werror=maybe-uninitialized]
|         const struct blockcipher_test_case *blk_tcs;
|                                             ^~~~~~~

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 app/test/test_cryptodev_blockcipher.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app/test/test_cryptodev_blockcipher.c b/app/test/test_cryptodev_blockcipher.c
index 53fd4718af..0d5082887e 100644
--- a/app/test/test_cryptodev_blockcipher.c
+++ b/app/test/test_cryptodev_blockcipher.c
@@ -1184,7 +1184,7 @@ build_blockcipher_test_suite(enum blockcipher_test_type test_type)
 		ts_setup = authonly_setup;
 		break;
 	default:
-		break;
+		return NULL;
 	}
 
 	ts = calloc(1, sizeof(struct unit_test_suite) +
-- 
2.31.1


^ permalink raw reply	[flat|nested] 19+ messages in thread

* [dpdk-dev] [PATCH v3 5/5] devtools: test different build types
  2021-08-08 12:51 ` [dpdk-dev] [PATCH v3 0/5] more build tests Thomas Monjalon
                     ` (3 preceding siblings ...)
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 4/5] test/crypto: " Thomas Monjalon
@ 2021-08-08 12:51   ` Thomas Monjalon
  2021-09-15 20:27   ` [dpdk-dev] [PATCH v3 0/5] more build tests Ferruh Yigit
  2021-09-16  7:05   ` David Marchand
  6 siblings, 0 replies; 19+ messages in thread
From: Thomas Monjalon @ 2021-08-08 12:51 UTC (permalink / raw)
  To: dev; +Cc: bruce.richardson, david.marchand, Andrew Rybchenko

All builds were of type debugoptimized.
It is kept only for builds having an ABI check.
Others will have the default build type (release),
except if specified differently as in the x86 generic build
which will be a test of the non-optimized debug build type.
Some static builds will test the minsize build type.

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
Acked-by: Andrew Rybchenko <andrew.rybchenko@oktetlabs.ru>

---

This patch cannot be merged now because it makes clang 11.1.0 crashing.
---
 devtools/test-meson-builds.sh | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index 9ec8e2bc7e..7bd305a669 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -92,13 +92,16 @@ load_env () # <target compiler>
 	command -v $targetcc >/dev/null 2>&1 || return 1
 }
 
-config () # <dir> <builddir> <meson options>
+config () # <dir> <builddir> <ABI check> <meson options>
 {
 	dir=$1
 	shift
 	builddir=$1
 	shift
+	abicheck=$1
+	shift
 	if [ -f "$builddir/build.ninja" ] ; then
+		[ $abicheck = ABI ] || return 0
 		# for existing environments, switch to debugoptimized if unset
 		# so that ABI checks can run
 		if ! $MESON configure $builddir |
@@ -114,7 +117,9 @@ config () # <dir> <builddir> <meson options>
 	else
 		options="$options -Dexamples=l3fwd" # save disk space
 	fi
-	options="$options --buildtype=debugoptimized"
+	if [ $abicheck = ABI ] ; then
+		options="$options --buildtype=debugoptimized"
+	fi
 	for option in $DPDK_MESON_OPTIONS ; do
 		options="$options -D$option"
 	done
@@ -165,7 +170,7 @@ build () # <directory> <target cc | cross file> <ABI check> [meson options]
 		cross=
 	fi
 	load_env $targetcc || return 0
-	config $srcdir $builds_dir/$targetdir $cross --werror $*
+	config $srcdir $builds_dir/$targetdir $abicheck $cross --werror $*
 	compile $builds_dir/$targetdir
 	if [ -n "$DPDK_ABI_REF_VERSION" -a "$abicheck" = ABI ] ; then
 		abirefdir=${DPDK_ABI_REF_DIR:-reference}/$DPDK_ABI_REF_VERSION
@@ -179,7 +184,7 @@ build () # <directory> <target cc | cross file> <ABI check> [meson options]
 			fi
 
 			rm -rf $abirefdir/build
-			config $abirefdir/src $abirefdir/build $cross \
+			config $abirefdir/src $abirefdir/build $abicheck $cross \
 				-Dexamples= $*
 			compile $abirefdir/build
 			install_target $abirefdir/build $abirefdir/$targetdir
@@ -211,11 +216,13 @@ for c in gcc clang ; do
 	for s in static shared ; do
 		if [ $s = shared ] ; then
 			abicheck=ABI
+			buildtype=
 		else
 			abicheck=skipABI # save time and disk space
+			buildtype='--buildtype=minsize'
 		fi
 		export CC="$CCACHE $c"
-		build build-$c-$s $c $abicheck --default-library=$s
+		build build-$c-$s $c $abicheck $buildtype --default-library=$s
 		unset CC
 	done
 done
@@ -227,7 +234,7 @@ generic_isa='nehalem'
 if ! check_cc_flags "-march=$generic_isa" ; then
 	generic_isa='corei7'
 fi
-build build-x86-generic cc skipABI -Dcheck_includes=true \
+build build-x86-generic cc skipABI --buildtype=debug -Dcheck_includes=true \
 	-Dlibdir=lib -Dcpu_instruction_set=$generic_isa $use_shared
 
 # 32-bit with default compiler
-- 
2.31.1


^ permalink raw reply	[flat|nested] 19+ messages in thread

* Re: [dpdk-dev] [EXT] [PATCH v3 1/5] net/qede: fix minsize build
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 1/5] net/qede: fix minsize build Thomas Monjalon
@ 2021-08-09  5:15     ` Devendra Singh Rawat
  2021-08-09  7:11       ` Rasesh Mody
  2021-09-15 15:16       ` David Marchand
  0 siblings, 2 replies; 19+ messages in thread
From: Devendra Singh Rawat @ 2021-08-09  5:15 UTC (permalink / raw)
  To: Thomas Monjalon, dev; +Cc: bruce.richardson, david.marchand, Rasesh Mody



-----Original Message-----
From: Thomas Monjalon <thomas@monjalon.net> 
Sent: Sunday, August 8, 2021 6:22 PM
To: dev@dpdk.org
Cc: bruce.richardson@intel.com; david.marchand@redhat.com; Rasesh Mody <rmody@marvell.com>; Devendra Singh Rawat <dsinghrawat@marvell.com>
Subject: [EXT] [PATCH v3 1/5] net/qede: fix minsize build

External Email

----------------------------------------------------------------------
Error occurs when configuring meson with --buildtype=minsize with GCC 11.1.0:

In function ‘__internal_ram_wr_relaxed’,
    inlined from ‘internal_ram_wr’ at ecore_int_api.h:166:2,
    inlined from ‘qede_update_rx_prod.constprop’ at qede_rxtx.c:736:2:
drivers/net/qede/base/bcm_osal.h:136:9: error:
‘rx_prods’ is used uninitialized [-Werror=uninitialized]
|         rte_write32_relaxed((_val), (_reg_addr))
|         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ecore_int_api.h:151:17: note: in expansion of macro ‘DIRECT_REG_WR_RELAXED’
|                 DIRECT_REG_WR_RELAXED(p_hwfn, &((u32 OSAL_IOMEM *)addr)[i],
|                 ^~~~~~~~~~~~~~~~~~~~~
drivers/net/qede/qede_rxtx.c: In function ‘qede_update_rx_prod.constprop’:
drivers/net/qede/qede_rxtx.c:724:33: note: ‘rx_prods’ declared here
|         struct eth_rx_prod_data rx_prods = { 0 };
|                                 ^~~~~~~~

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 drivers/net/qede/qede_rxtx.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/drivers/net/qede/qede_rxtx.c b/drivers/net/qede/qede_rxtx.c index 298f4e3e42..35cde561ba 100644
--- a/drivers/net/qede/qede_rxtx.c
+++ b/drivers/net/qede/qede_rxtx.c
@@ -721,9 +721,10 @@ qede_update_rx_prod(__rte_unused struct qede_dev *edev,  {
 	uint16_t bd_prod = ecore_chain_get_prod_idx(&rxq->rx_bd_ring);
 	uint16_t cqe_prod = ecore_chain_get_prod_idx(&rxq->rx_comp_ring);
-	struct eth_rx_prod_data rx_prods = { 0 };
+	struct eth_rx_prod_data rx_prods;
 
 	/* Update producers */
+	memset(&rx_prods, 0, sizeof(rx_prods));
 	rx_prods.bd_prod = rte_cpu_to_le_16(bd_prod);
 	rx_prods.cqe_prod = rte_cpu_to_le_16(cqe_prod);
 
--
2.31.1

ACKed.

Thanks,
Devendra

^ permalink raw reply	[flat|nested] 19+ messages in thread

* Re: [dpdk-dev] [PATCH v3 3/5] vdpa/mlx5: fix minsize build
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 3/5] vdpa/mlx5: " Thomas Monjalon
@ 2021-08-09  6:43     ` Matan Azrad
  2021-08-11  8:48     ` Ruifeng Wang
  1 sibling, 0 replies; 19+ messages in thread
From: Matan Azrad @ 2021-08-09  6:43 UTC (permalink / raw)
  To: NBU-Contact-Thomas Monjalon, dev
  Cc: bruce.richardson, david.marchand, Slava Ovsiienko



From: Thomas Monjalon
> Error occurs when configuring meson with --buildtype=minsize with GCC
> 11.1.0:
> 
> drivers/vdpa/mlx5/mlx5_vdpa_mem.c: In function
> ‘mlx5_vdpa_mem_register’:
> drivers/vdpa/mlx5/mlx5_vdpa_mem.c:183:24: error:
> initialization of ‘uint64_t’ {aka ‘long unsigned int’} from ‘void *’
> makes integer from pointer without a cast [-Werror=int-conversion]
> |         uint64_t gcd = NULL;
> |                        ^~~~
> drivers/vdpa/mlx5/mlx5_vdpa_mem.c:244:75: error:
> ‘mode’ may be used uninitialized in this function [-Werror=maybe-
> uninitialized]
> |                         klm_size = mode == MLX5_MKC_ACCESS_MODE_KLM ?
> |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> |                               KLM_SIZE_MAX_ALIGN(empty_region_sz) : gcd;
> |
> | ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~
> 
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
Acked-by: Matan Azrad <matan@nvidia.com>

Thanks

^ permalink raw reply	[flat|nested] 19+ messages in thread

* Re: [dpdk-dev] [EXT] [PATCH v3 1/5] net/qede: fix minsize build
  2021-08-09  5:15     ` [dpdk-dev] [EXT] " Devendra Singh Rawat
@ 2021-08-09  7:11       ` Rasesh Mody
  2021-09-15 15:16       ` David Marchand
  1 sibling, 0 replies; 19+ messages in thread
From: Rasesh Mody @ 2021-08-09  7:11 UTC (permalink / raw)
  To: Devendra Singh Rawat, Thomas Monjalon, dev
  Cc: bruce.richardson, david.marchand



> From: Devendra Singh Rawat <dsinghrawat@marvell.com>
> Sent: Monday, August 9, 2021 10:46 AM
> 
> 
> 
> -----Original Message-----
> From: Thomas Monjalon <thomas@monjalon.net>
> Sent: Sunday, August 8, 2021 6:22 PM
> To: dev@dpdk.org
> Cc: bruce.richardson@intel.com; david.marchand@redhat.com; Rasesh
> Mody <rmody@marvell.com>; Devendra Singh Rawat
> <dsinghrawat@marvell.com>
> Subject: [EXT] [PATCH v3 1/5] net/qede: fix minsize build
> 
> External Email
> 
> ----------------------------------------------------------------------
> Error occurs when configuring meson with --buildtype=minsize with GCC
> 11.1.0:
> 
> In function ‘__internal_ram_wr_relaxed’,
>     inlined from ‘internal_ram_wr’ at ecore_int_api.h:166:2,
>     inlined from ‘qede_update_rx_prod.constprop’ at qede_rxtx.c:736:2:
> drivers/net/qede/base/bcm_osal.h:136:9: error:
> ‘rx_prods’ is used uninitialized [-Werror=uninitialized]
> |         rte_write32_relaxed((_val), (_reg_addr))
> |         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> ecore_int_api.h:151:17: note: in expansion of macro
> ‘DIRECT_REG_WR_RELAXED’
> |                 DIRECT_REG_WR_RELAXED(p_hwfn, &((u32 OSAL_IOMEM
> *)addr)[i],
> |                 ^~~~~~~~~~~~~~~~~~~~~
> drivers/net/qede/qede_rxtx.c: In function
> ‘qede_update_rx_prod.constprop’:
> drivers/net/qede/qede_rxtx.c:724:33: note: ‘rx_prods’ declared here
> |         struct eth_rx_prod_data rx_prods = { 0 };
> |                                 ^~~~~~~~
> 
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
Acked-by: Rasesh Mody <rmody@marvell.com>

> ---
>  drivers/net/qede/qede_rxtx.c | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
> 
> diff --git a/drivers/net/qede/qede_rxtx.c b/drivers/net/qede/qede_rxtx.c
> index 298f4e3e42..35cde561ba 100644
> --- a/drivers/net/qede/qede_rxtx.c
> +++ b/drivers/net/qede/qede_rxtx.c
> @@ -721,9 +721,10 @@ qede_update_rx_prod(__rte_unused struct
> qede_dev *edev,  {
>  	uint16_t bd_prod = ecore_chain_get_prod_idx(&rxq->rx_bd_ring);
>  	uint16_t cqe_prod = ecore_chain_get_prod_idx(&rxq-
> >rx_comp_ring);
> -	struct eth_rx_prod_data rx_prods = { 0 };
> +	struct eth_rx_prod_data rx_prods;
> 
>  	/* Update producers */
> +	memset(&rx_prods, 0, sizeof(rx_prods));
>  	rx_prods.bd_prod = rte_cpu_to_le_16(bd_prod);
>  	rx_prods.cqe_prod = rte_cpu_to_le_16(cqe_prod);
> 
> --
> 2.31.1
> 
> ACKed.
> 
> Thanks,
> Devendra

^ permalink raw reply	[flat|nested] 19+ messages in thread

* Re: [dpdk-dev] [PATCH v3 3/5] vdpa/mlx5: fix minsize build
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 3/5] vdpa/mlx5: " Thomas Monjalon
  2021-08-09  6:43     ` Matan Azrad
@ 2021-08-11  8:48     ` Ruifeng Wang
  1 sibling, 0 replies; 19+ messages in thread
From: Ruifeng Wang @ 2021-08-11  8:48 UTC (permalink / raw)
  To: thomas, dev
  Cc: bruce.richardson, david.marchand, Matan Azrad, Viacheslav Ovsiienko, nd

> -----Original Message-----
> From: dev <dev-bounces@dpdk.org> On Behalf Of Thomas Monjalon
> Sent: Sunday, August 8, 2021 8:52 PM
> To: dev@dpdk.org
> Cc: bruce.richardson@intel.com; david.marchand@redhat.com; Matan Azrad
> <matan@nvidia.com>; Viacheslav Ovsiienko <viacheslavo@nvidia.com>
> Subject: [dpdk-dev] [PATCH v3 3/5] vdpa/mlx5: fix minsize build
> 
> Error occurs when configuring meson with --buildtype=minsize with GCC
> 11.1.0:
> 
> drivers/vdpa/mlx5/mlx5_vdpa_mem.c: In function
> ‘mlx5_vdpa_mem_register’:
> drivers/vdpa/mlx5/mlx5_vdpa_mem.c:183:24: error:
> initialization of ‘uint64_t’ {aka ‘long unsigned int’} from ‘void *’
> makes integer from pointer without a cast [-Werror=int-conversion]
> |         uint64_t gcd = NULL;
> |                        ^~~~
> drivers/vdpa/mlx5/mlx5_vdpa_mem.c:244:75: error:
> ‘mode’ may be used uninitialized in this function [-Werror=maybe-
> uninitialized]
> |                         klm_size = mode == MLX5_MKC_ACCESS_MODE_KLM ?
> |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> |                               KLM_SIZE_MAX_ALIGN(empty_region_sz) : gcd;
> |
> | ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~
> 
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
> ---
>  drivers/vdpa/mlx5/mlx5_vdpa_mem.c | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/drivers/vdpa/mlx5/mlx5_vdpa_mem.c
> b/drivers/vdpa/mlx5/mlx5_vdpa_mem.c
> index a13bde5a0b..59ce4e891c 100644
> --- a/drivers/vdpa/mlx5/mlx5_vdpa_mem.c
> +++ b/drivers/vdpa/mlx5/mlx5_vdpa_mem.c
> @@ -177,10 +177,10 @@ mlx5_vdpa_mem_register(struct mlx5_vdpa_priv
> *priv)
>  	struct mlx5_devx_mkey_attr mkey_attr;
>  	struct mlx5_vdpa_query_mr *entry = NULL;
>  	struct rte_vhost_mem_region *reg = NULL;
> -	uint8_t mode;
> +	uint8_t mode = 0;
>  	uint32_t entries_num = 0;
>  	uint32_t i;
> -	uint64_t gcd;
> +	uint64_t gcd = 0;
>  	uint64_t klm_size;
>  	uint64_t mem_size;
>  	uint64_t k;
> --
> 2.31.1
Reviewed-by: Ruifeng Wang <ruifeng.wang@arm.com>

^ permalink raw reply	[flat|nested] 19+ messages in thread

* Re: [dpdk-dev] [PATCH v3 2/5] regex/mlx5: fix minsize build
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 2/5] regex/mlx5: " Thomas Monjalon
@ 2021-08-11  8:48     ` Ruifeng Wang
  0 siblings, 0 replies; 19+ messages in thread
From: Ruifeng Wang @ 2021-08-11  8:48 UTC (permalink / raw)
  To: thomas, dev; +Cc: bruce.richardson, david.marchand, Ori Kam, nd

> -----Original Message-----
> From: dev <dev-bounces@dpdk.org> On Behalf Of Thomas Monjalon
> Sent: Sunday, August 8, 2021 8:52 PM
> To: dev@dpdk.org
> Cc: bruce.richardson@intel.com; david.marchand@redhat.com; Ori Kam
> <orika@nvidia.com>
> Subject: [dpdk-dev] [PATCH v3 2/5] regex/mlx5: fix minsize build
> 
> Error occurs when configuring meson with --buildtype=minsize with GCC
> 11.1.0:
> 
> drivers/regex/mlx5/mlx5_regex_fastpath.c:398:17: error:
> ‘len’ may be used uninitialized in this function [-Werror=maybe-uninitialized]
> |                 complete_umr_wqe(qp, sq, &qp->jobs[mkey_job_id], sq->pi,
> |
> ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> |                                  klm_num, len);
> |                                  ~~~~~~~~~~~~~
> drivers/regex/mlx5/mlx5_regex_fastpath.c:315:31: note: ‘len’ was declared
> here
> |         uint32_t klm_num = 0, len;
> |                               ^~~
> 
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
> ---
>  drivers/regex/mlx5/mlx5_regex_fastpath.c | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
> 
> diff --git a/drivers/regex/mlx5/mlx5_regex_fastpath.c
> b/drivers/regex/mlx5/mlx5_regex_fastpath.c
> index 786718af53..c79445ce7d 100644
> --- a/drivers/regex/mlx5/mlx5_regex_fastpath.c
> +++ b/drivers/regex/mlx5/mlx5_regex_fastpath.c
> @@ -312,7 +312,8 @@ prep_regex_umr_wqe_set(struct mlx5_regex_priv
> *priv, struct mlx5_regex_qp *qp,
>  	struct mlx5_regex_job *job = NULL;
>  	size_t sqid = sq->sqn, mkey_job_id = 0;
>  	size_t left_ops = nb_ops;
> -	uint32_t klm_num = 0, len;
> +	uint32_t klm_num = 0;
> +	uint32_t len = 0;
>  	struct mlx5_klm *mkey_klm = NULL;
>  	struct mlx5_klm klm;
> 
> --
> 2.31.1
Reviewed-by: Ruifeng Wang <ruifeng.wang@arm.com>

^ permalink raw reply	[flat|nested] 19+ messages in thread

* Re: [dpdk-dev] [PATCH v3 4/5] test/crypto: fix minsize build
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 4/5] test/crypto: " Thomas Monjalon
@ 2021-08-11  8:48     ` Ruifeng Wang
  0 siblings, 0 replies; 19+ messages in thread
From: Ruifeng Wang @ 2021-08-11  8:48 UTC (permalink / raw)
  To: thomas, dev
  Cc: bruce.richardson, david.marchand, Akhil Goyal, Declan Doherty, nd

> -----Original Message-----
> From: dev <dev-bounces@dpdk.org> On Behalf Of Thomas Monjalon
> Sent: Sunday, August 8, 2021 8:52 PM
> To: dev@dpdk.org
> Cc: bruce.richardson@intel.com; david.marchand@redhat.com; Akhil Goyal
> <gakhil@marvell.com>; Declan Doherty <declan.doherty@intel.com>
> Subject: [dpdk-dev] [PATCH v3 4/5] test/crypto: fix minsize build
> 
> Error occurs when configuring meson with --buildtype=minsize with GCC
> 11.1.0:
> 
> app/test/test_cryptodev_blockcipher.c:1133:45: error:
> ‘blk_tcs’ may be used uninitialized in this function [-Werror=maybe-
> uninitialized]
> |         const struct blockcipher_test_case *blk_tcs;
> |                                             ^~~~~~~
> 
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
> ---
>  app/test/test_cryptodev_blockcipher.c | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/app/test/test_cryptodev_blockcipher.c
> b/app/test/test_cryptodev_blockcipher.c
> index 53fd4718af..0d5082887e 100644
> --- a/app/test/test_cryptodev_blockcipher.c
> +++ b/app/test/test_cryptodev_blockcipher.c
> @@ -1184,7 +1184,7 @@ build_blockcipher_test_suite(enum
> blockcipher_test_type test_type)
>  		ts_setup = authonly_setup;
>  		break;
>  	default:
> -		break;
> +		return NULL;
>  	}
> 
>  	ts = calloc(1, sizeof(struct unit_test_suite) +
> --
> 2.31.1
Reviewed-by: Ruifeng Wang <ruifeng.wang@arm.com>

^ permalink raw reply	[flat|nested] 19+ messages in thread

* Re: [dpdk-dev] [EXT] [PATCH v3 1/5] net/qede: fix minsize build
  2021-08-09  5:15     ` [dpdk-dev] [EXT] " Devendra Singh Rawat
  2021-08-09  7:11       ` Rasesh Mody
@ 2021-09-15 15:16       ` David Marchand
  1 sibling, 0 replies; 19+ messages in thread
From: David Marchand @ 2021-09-15 15:16 UTC (permalink / raw)
  To: Devendra Singh Rawat; +Cc: Thomas Monjalon, dev, bruce.richardson, Rasesh Mody

On Mon, Aug 9, 2021 at 7:15 AM Devendra Singh Rawat
<dsinghrawat@marvell.com> wrote:
>
>
>
> -----Original Message-----
> From: Thomas Monjalon <thomas@monjalon.net>
> Sent: Sunday, August 8, 2021 6:22 PM
> To: dev@dpdk.org
> Cc: bruce.richardson@intel.com; david.marchand@redhat.com; Rasesh Mody <rmody@marvell.com>; Devendra Singh Rawat <dsinghrawat@marvell.com>
> Subject: [EXT] [PATCH v3 1/5] net/qede: fix minsize build
>
> External Email
>
> ----------------------------------------------------------------------
> Error occurs when configuring meson with --buildtype=minsize with GCC 11.1.0:
>
> In function ‘__internal_ram_wr_relaxed’,
>     inlined from ‘internal_ram_wr’ at ecore_int_api.h:166:2,
>     inlined from ‘qede_update_rx_prod.constprop’ at qede_rxtx.c:736:2:
> drivers/net/qede/base/bcm_osal.h:136:9: error:
> ‘rx_prods’ is used uninitialized [-Werror=uninitialized]
> |         rte_write32_relaxed((_val), (_reg_addr))
> |         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> ecore_int_api.h:151:17: note: in expansion of macro ‘DIRECT_REG_WR_RELAXED’
> |                 DIRECT_REG_WR_RELAXED(p_hwfn, &((u32 OSAL_IOMEM *)addr)[i],
> |                 ^~~~~~~~~~~~~~~~~~~~~
> drivers/net/qede/qede_rxtx.c: In function ‘qede_update_rx_prod.constprop’:
> drivers/net/qede/qede_rxtx.c:724:33: note: ‘rx_prods’ declared here
> |         struct eth_rx_prod_data rx_prods = { 0 };
> |                                 ^~~~~~~~
>
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>

Can you configure your mail client so that it quotes the original mail
with some '> ' prefix?
Your reply confused patchwork which added back a SoB from Thomas.


> ---
>  drivers/net/qede/qede_rxtx.c | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
>
> diff --git a/drivers/net/qede/qede_rxtx.c b/drivers/net/qede/qede_rxtx.c index 298f4e3e42..35cde561ba 100644
> --- a/drivers/net/qede/qede_rxtx.c
> +++ b/drivers/net/qede/qede_rxtx.c
> @@ -721,9 +721,10 @@ qede_update_rx_prod(__rte_unused struct qede_dev *edev,  {
>         uint16_t bd_prod = ecore_chain_get_prod_idx(&rxq->rx_bd_ring);
>         uint16_t cqe_prod = ecore_chain_get_prod_idx(&rxq->rx_comp_ring);
> -       struct eth_rx_prod_data rx_prods = { 0 };
> +       struct eth_rx_prod_data rx_prods;
>
>         /* Update producers */
> +       memset(&rx_prods, 0, sizeof(rx_prods));
>         rx_prods.bd_prod = rte_cpu_to_le_16(bd_prod);
>         rx_prods.cqe_prod = rte_cpu_to_le_16(cqe_prod);
>
> --
> 2.31.1
>
> ACKed.

Please reply with a full tag so that patchwork catches it.

It saves me some time/brain cycles when applying patches.

Thanks.


-- 
David Marchand


^ permalink raw reply	[flat|nested] 19+ messages in thread

* Re: [dpdk-dev] [PATCH v3 0/5] more build tests
  2021-08-08 12:51 ` [dpdk-dev] [PATCH v3 0/5] more build tests Thomas Monjalon
                     ` (4 preceding siblings ...)
  2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 5/5] devtools: test different build types Thomas Monjalon
@ 2021-09-15 20:27   ` Ferruh Yigit
  2021-09-16  7:05   ` David Marchand
  6 siblings, 0 replies; 19+ messages in thread
From: Ferruh Yigit @ 2021-09-15 20:27 UTC (permalink / raw)
  To: Thomas Monjalon, dev; +Cc: bruce.richardson, david.marchand

On 8/8/2021 1:51 PM, Thomas Monjalon wrote:
> While testing more build types, some errors occur.
> 
> v3: fix minsize build with GCC
> v2: fix init of var buildtype
> 
> Thomas Monjalon (5):
>   net/qede: fix minsize build
>   regex/mlx5: fix minsize build
>   vdpa/mlx5: fix minsize build
>   test/crypto: fix minsize build
>   devtools: test different build types
> 
>  app/test/test_cryptodev_blockcipher.c    |  2 +-
>  devtools/test-meson-builds.sh            | 19 +++++++++++++------
>  drivers/net/qede/qede_rxtx.c             |  3 ++-
>  drivers/regex/mlx5/mlx5_regex_fastpath.c |  3 ++-
>  drivers/vdpa/mlx5/mlx5_vdpa_mem.c        |  4 ++--
>  5 files changed, 20 insertions(+), 11 deletions(-)
> 

With the 'test-meson-builds.sh' update (patch 5/5) clang crashes for me [1], it
can be related to my environment but I can reproduce the issue 100%.


When the patch 5/5 is dropped, I confirm it builds fine with
'--buildtype=minsize' meson option.

So _only for first four patches_:
Tested-by: Ferruh Yigit <ferruh.yigit@intel.com>


[1]
FAILED: drivers/libtmp_rte_crypto_ccp.a.p/crypto_ccp_ccp_dev.c.o
clang-12: error: clang frontend command failed with exit code 70 (use -v to see
invocation)

^ permalink raw reply	[flat|nested] 19+ messages in thread

* Re: [dpdk-dev] [PATCH v3 0/5] more build tests
  2021-08-08 12:51 ` [dpdk-dev] [PATCH v3 0/5] more build tests Thomas Monjalon
                     ` (5 preceding siblings ...)
  2021-09-15 20:27   ` [dpdk-dev] [PATCH v3 0/5] more build tests Ferruh Yigit
@ 2021-09-16  7:05   ` David Marchand
  6 siblings, 0 replies; 19+ messages in thread
From: David Marchand @ 2021-09-16  7:05 UTC (permalink / raw)
  To: Thomas Monjalon, Yigit, Ferruh; +Cc: dev, Bruce Richardson

On Sun, Aug 8, 2021 at 2:51 PM Thomas Monjalon <thomas@monjalon.net> wrote:
>
> While testing more build types, some errors occur.
>
> v3: fix minsize build with GCC
> v2: fix init of var buildtype
>
> Thomas Monjalon (5):
>   net/qede: fix minsize build
>   regex/mlx5: fix minsize build
>   vdpa/mlx5: fix minsize build
>   test/crypto: fix minsize build
>   devtools: test different build types
>
>  app/test/test_cryptodev_blockcipher.c    |  2 +-
>  devtools/test-meson-builds.sh            | 19 +++++++++++++------
>  drivers/net/qede/qede_rxtx.c             |  3 ++-
>  drivers/regex/mlx5/mlx5_regex_fastpath.c |  3 ++-
>  drivers/vdpa/mlx5/mlx5_vdpa_mem.c        |  4 ++--
>  5 files changed, 20 insertions(+), 11 deletions(-)
>

Applied first 4 patches.
Thanks.


-- 
David Marchand


^ permalink raw reply	[flat|nested] 19+ messages in thread

end of thread, other threads:[~2021-09-16  7:05 UTC | newest]

Thread overview: 19+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-04-12 21:53 [dpdk-dev] [PATCH] devtools: test different build types Thomas Monjalon
2021-05-21 15:03 ` David Marchand
2021-07-23 20:26   ` Andrew Rybchenko
2021-08-02 22:45 ` [dpdk-dev] [PATCH v2] " Thomas Monjalon
2021-08-08 12:51 ` [dpdk-dev] [PATCH v3 0/5] more build tests Thomas Monjalon
2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 1/5] net/qede: fix minsize build Thomas Monjalon
2021-08-09  5:15     ` [dpdk-dev] [EXT] " Devendra Singh Rawat
2021-08-09  7:11       ` Rasesh Mody
2021-09-15 15:16       ` David Marchand
2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 2/5] regex/mlx5: " Thomas Monjalon
2021-08-11  8:48     ` Ruifeng Wang
2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 3/5] vdpa/mlx5: " Thomas Monjalon
2021-08-09  6:43     ` Matan Azrad
2021-08-11  8:48     ` Ruifeng Wang
2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 4/5] test/crypto: " Thomas Monjalon
2021-08-11  8:48     ` Ruifeng Wang
2021-08-08 12:51   ` [dpdk-dev] [PATCH v3 5/5] devtools: test different build types Thomas Monjalon
2021-09-15 20:27   ` [dpdk-dev] [PATCH v3 0/5] more build tests Ferruh Yigit
2021-09-16  7:05   ` David Marchand

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).